
# example.js

``` javascript
var Worker = require("worker!./worker");
var worker = new Worker;
worker.postMessage("b");
worker.onmessage = function(event) {
	var templateB = event.data; // "This text was generated by template B"
}
```

# worker.js

``` javascript
onmessage = function(event) {
	var template = event.data;
	require(["../require.context/templates/" + event.data], function(tmpl) {
		postMessage(tmpl());
	});
}

```

# js/output.js

``` javascript
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/ 	
/******/ 	// The require function
/******/ 	function require(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/ 		
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/ 		
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(null, module, module.exports, require);
/******/ 		
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/ 		
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// The bundle contains no chunks. A empty chunk loading function.
/******/ 	require.e = function requireEnsure(_, callback) {
/******/ 		callback.call(null, require);
/******/ 	};
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	require.modules = modules;
/******/ 	
/******/ 	// expose the module cache
/******/ 	require.cache = installedModules;
/******/ 	
/******/ 	
/******/ 	// Load entry module and return exports
/******/ 	return require(0);
/******/ })
/************************************************************************/
/******/ ({
/******/ // __webpack_public_path__
/******/ c: "",

/***/ 0:
/*!********************!*\
  !*** ./example.js ***!
  \********************/
/***/ function(module, exports, require) {

	var Worker = require(/*! worker!./worker */ 1);
	var worker = new Worker;
	worker.postMessage("b");
	worker.onmessage = function(event) {
		var templateB = event.data; // "This text was generated by template B"
	}

/***/ },

/***/ 1:
/*!*************************************************************************************************************!*\
  !*** (webpack)/~/worker-loader!./worker.js ***!
  \*************************************************************************************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return new Worker(require.modules.c + "hash.worker.js");
	};

/***/ }
/******/ })
```

# js/[hash].worker.js

``` javascript
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/ 	
/******/ 	// object to store loaded chunks
/******/ 	// "1" means "already loaded"
/******/ 	var installedChunks = {0:1};
/******/ 	
/******/ 	// The require function
/******/ 	function require(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/ 		
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/ 		
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(null, module, module.exports, require);
/******/ 		
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/ 		
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	require.e = function requireEnsure(chunkId, callback) {
/******/ 		// "1" is the signal for "already loaded"
/******/ 		if(!installedChunks[chunkId]) {
/******/ 			importScripts("" + chunkId + ".hash.worker.js");
/******/ 		}
/******/ 		callback.call(null, require);
/******/ 	};
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	require.modules = modules;
/******/ 	
/******/ 	// expose the module cache
/******/ 	require.cache = installedModules;
/******/ 	this["webpackChunk"] = function webpackChunkCallback(chunkIds, moreModules) {
/******/ 		for(var moduleId in moreModules)
/******/ 			modules[moduleId] = moreModules[moduleId];
/******/ 		while(chunkIds.length)
/******/ 			installedChunks[chunkIds.pop()] = 1;
/******/ 	};
/******/ 	
/******/ 	// Load entry module and return exports
/******/ 	return require(0);
/******/ })
/************************************************************************/
/******/ ({
/******/ // __webpack_public_path__
/******/ c: "",

/***/ 0:
/*!*******************!*\
  !*** ./worker.js ***!
  \*******************/
/***/ function(module, exports, require) {

	onmessage = function(event) {
		var template = event.data;
		require.e/* require */(1, function(require) { var __WEBPACK_AMD_REQUIRE_ARRAY__ = [require(/*! ../require.context/templates */ 1)("./" + event.data)]; (function(tmpl) {
			postMessage(tmpl());
		}.apply(null, __WEBPACK_AMD_REQUIRE_ARRAY__));});
	}
	

/***/ }
/******/ })
```

# js/1.[hash].worker.hs

``` javascript
webpackChunk([1],
{

/***/ 1:
/*!*********************************************!*\
  !*** ../require.context/templates ^\.\/.*$ ***!
  \*********************************************/
/***/ function(module, exports, require) {

	var map = {
		"./a": 2,
		"./a.js": 2,
		"./b": 3,
		"./b.js": 3,
		"./c": 4,
		"./c.js": 4
	};
	function webpackContext(req) {
		return require(webpackContextResolve(req));
	};
	function webpackContextResolve(req) {
		return map[req] || (function() { throw new Error("Cannot find module '" + req + "'.") }());
	};
	webpackContext.keys = function webpackContextKeys() {
		return Object.keys(map);
	};
	webpackContext.resolve = webpackContextResolve;
	module.exports = webpackContext;
	

/***/ },

/***/ 2:
/*!*****************************************!*\
  !*** ../require.context/templates/a.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template A";
	}

/***/ },

/***/ 3:
/*!*****************************************!*\
  !*** ../require.context/templates/b.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template B";
	}

/***/ },

/***/ 4:
/*!*****************************************!*\
  !*** ../require.context/templates/c.js ***!
  \*****************************************/
/***/ function(module, exports, require) {

	module.exports = function() {
		return "This text was generated by template C";
	}

/***/ }

}
)
```

# Info

## Uncompressed

```
Hash: 475c548ff49814ae38449b4381b4c42e
Version: webpack 0.10.0-beta6
Time: 77ms
           Asset  Size  Chunks             Chunk Names
  hash.worker.js  2613          [emitted]             
1.hash.worker.js  1590          [emitted]             
       output.js  2400       0  [emitted]  main       
chunk    {0} output.js (main) 297 [rendered]
    [0] ./example.js 201 [built] {0}
    [1] (webpack)/~/worker-loader!./worker.js 96 [not cacheable] [built] {0}
        cjs require worker!./worker [0] ./example.js 1:13-39
Child worker:
    Hash: feb0fce6c542e6569e65d26ac41239c7
    Version: webpack 0.10.0-beta6
               Asset  Size  Chunks             Chunk Names
      hash.worker.js  2613       0  [emitted]  main       
    1.hash.worker.js  1590       1  [emitted]             
    chunk    {0} hash.worker.js (main) 162 [rendered]
        [0] ./worker.js 162 [built] {0}
    chunk    {1} 1.hash.worker.js 457 {0} [rendered]
        [1] ../require.context/templates ^\.\/.*$ 217 [built] {1}
            amd require context ../require.context/templates [0] ./worker.js 3:1-5:3
        [2] ../require.context/templates/a.js 80 [built] {1}
            context element ./a [1] ../require.context/templates ^\.\/.*$
            context element ./a.js [1] ../require.context/templates ^\.\/.*$
        [3] ../require.context/templates/b.js 80 [built] {1}
            context element ./b [1] ../require.context/templates ^\.\/.*$
            context element ./b.js [1] ../require.context/templates ^\.\/.*$
        [4] ../require.context/templates/c.js 80 [built] {1}
            context element ./c [1] ../require.context/templates ^\.\/.*$
            context element ./c.js [1] ../require.context/templates ^\.\/.*$
```

## Minimized (uglify-js, no zip)

```
Hash: 475c548ff49814ae38449b4381b4c42e
Version: webpack 0.10.0-beta6
Time: 164ms
           Asset  Size  Chunks             Chunk Names
  hash.worker.js   519          [emitted]             
1.hash.worker.js   531          [emitted]             
       output.js   418       0  [emitted]  main       
chunk    {0} output.js (main) 297 [rendered]
    [0] ./example.js 201 [built] {0}
    [1] (webpack)/~/worker-loader!./worker.js 96 [not cacheable] [built] {0}
        cjs require worker!./worker [0] ./example.js 1:13-39
Child worker:
    Hash: feb0fce6c542e6569e65d26ac41239c7
    Version: webpack 0.10.0-beta6
               Asset  Size  Chunks             Chunk Names
      hash.worker.js   519       0  [emitted]  main       
    1.hash.worker.js   531       1  [emitted]             
    chunk    {0} hash.worker.js (main) 162 [rendered]
        [0] ./worker.js 162 [built] {0}
    chunk    {1} 1.hash.worker.js 457 {0} [rendered]
        [1] ../require.context/templates ^\.\/.*$ 217 [built] {1}
            amd require context ../require.context/templates [0] ./worker.js 3:1-5:3
        [2] ../require.context/templates/a.js 80 [built] {1}
            context element ./a [1] ../require.context/templates ^\.\/.*$
            context element ./a.js [1] ../require.context/templates ^\.\/.*$
        [3] ../require.context/templates/b.js 80 [built] {1}
            context element ./b [1] ../require.context/templates ^\.\/.*$
            context element ./b.js [1] ../require.context/templates ^\.\/.*$
        [4] ../require.context/templates/c.js 80 [built] {1}
            context element ./c [1] ../require.context/templates ^\.\/.*$
            context element ./c.js [1] ../require.context/templates ^\.\/.*$
```